package com.dxhy.customs.constants;

import lombok.AllArgsConstructor;

/**
 * @author dxhy
 */
@AllArgsConstructor
public enum GlztEnum {
    // 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）

    A("0", "正常"), B("1", "异常"), C("2", "疑似非正常");

    private String key;
    private String value;

    public static String getVal(String key) {
        for (GlztEnum materialEnum : GlztEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }

    public String getKey() {
        return key;
    }
}
